
FROM ccr.ccs.tencentyun.com/qg-qa/node12 AS builder
WORKDIR /home/quant_group
COPY package.json ./
COPY .npmrc /root
RUN npm install --unsafe-perm

FROM ccr.ccs.tencentyun.com/qg-qa/node12
WORKDIR /home/quant_group
COPY --from=builder /home/quant_group/node_modules ./node_modules
COPY *.tgz docker-entrypoint.sh ./
COPY readyCheck.sh .

EXPOSE 80
CMD ["sh", "docker-entrypoint.sh"]
